The "Deb" package doesn't include program dependencies (as of version 0.1.41), so it can happen that the application gets installed but it simply fails to start.

The list of dependencies is:
gambas2-runtime
gambas2-gb-gui
gambas2-gb-form
gambas2-gb-net
gambas2-gb-net-curl
gambas2-gb-settings
gambas2-gb-web
gambas2-gb-xml

to install them in Ubuntu you can do:
# sudo apt-get install gambas2-gb-gui gambas2-gb-qt gambas2-gb-gtk gambas2-gb-form gambas2-gb-net gambas2-gb-net-curl gambas2-gb-settings gambas2-gb-web gambas2-gb-xml

These gambas dependecies have got more dependencies, but yum or apt should include them transparently:
libc6 libffi5 xdg-utils libcurl3